summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Davidson Francis2018-05-04 18:29:51 +0200
committer Willy Sudiarto Raharjo2018-05-05 01:46:31 +0200
commitcc9ebf8d845403f2c336f0810530d52ca9a55b54 (patch)
treeb142995739154b30db5a764e9760a86301dff82e
parent716ba1876fdce54adb1f824b567ebdc08e2e6ad2 (diff)
downloadslackbuilds-cc9ebf8d845403f2c336f0810530d52ca9a55b54.tar.gz
development/ht: Added (file viewer, analyzer for files).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/ht/README13
-rw-r--r--development/ht/ht.SlackBuild97
-rw-r--r--development/ht/ht.info10
-rw-r--r--development/ht/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/development/ht/README b/development/ht/README
new file mode 100644
index 0000000000..3d9d2bea15
--- /dev/null
+++ b/development/ht/README
@@ -0,0 +1,13 @@
+HT is a file viewer, editor and analyzer for text, binary, and
+(especially) executable files.
+
+Features:
+ File formats supported:
+ - COFF/XCOFF32, ELF, LE,MZ, NE, PE32/64, Java class, MachO
+ - X-Box executable (XBE), Flat and PEF.
+
+ Code & Data Analyzer:
+ - Finds branch sources and destinations recursively
+ - Finds procedures entries
+ - Creates labels based on this information
+ and so on.
diff --git a/development/ht/ht.SlackBuild b/development/ht/ht.SlackBuild
new file mode 100644
index 0000000000..3f74a25e5e
--- /dev/null
+++ b/development/ht/ht.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for ht.
+
+# Copyright 2018 Davidson Francis, Minas Gerais, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ht
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog doc/ht.html README KNOWNBUGS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ht/ht.info b/development/ht/ht.info
new file mode 100644
index 0000000000..7a1cc2a402
--- /dev/null
+++ b/development/ht/ht.info
@@ -0,0 +1,10 @@
+PRGNAM="ht"
+VERSION="2.1.0"
+HOMEPAGE="http://hte.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/hte/files/ht-source/ht-2.1.0.tar.bz2"
+MD5SUM="09b2a4461d75e9cd03af1cd67fadc1ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Davidson Francis"
+EMAIL="davidsondfgl@gmail.com"
diff --git a/development/ht/slack-desc b/development/ht/slack-desc
new file mode 100644
index 0000000000..f6daca9db4
--- /dev/null
+++ b/development/ht/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ht: ht (file viewer, analyzer for text, binary and executable files)
+ht:
+ht: HT is a file viewer, editor and analyzer for text, binary, and
+ht: (especially) executable files.
+ht:
+ht: Homepage: http://hte.sourceforge.net/index.html
+ht:
+ht:
+ht:
+ht:
+ht: